gnutls_transport_set_pull_function(3)

NAME
gnutls_transport_set_pull_function - set a read like function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_pull_function(gnutls_session_t session, gnutls_pull_func pull_func);

ARGUMENTS

gnutls_session_t session
    gnutls session

gnutls_pull_func pull_func
    a callback function similar to read()

DESCRIPTION
This is the function where you set a function for gnutls to receive data. Normally, if you use berkeley style sockets, do not need to use this function since the default (recv(2)) will probably be ok. PULL_FUNC is of the form, ssize_t (*gnutls_pull_func)(gnutls_transport_ptr_t, void*, size_t);

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.